com.smartgwt.client.types

## Enum HoopSelectionStyle

- java.lang.Object
- - java.lang.Enum<HoopSelectionStyle>
  - - com.smartgwt.client.types.HoopSelectionStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<HoopSelectionStyle>

      public enum HoopSelectionStyle
      extends java.lang.Enum<HoopSelectionStyle>
      implements ValueEnum

  Hoop selection modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCLOSES` Components completely enclosed by the hoop are selected
    `INTERSECTS` Components enclosed or intersected by the hoop are selected

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static HoopSelectionStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HoopSelectionStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENCLOSES

          public static final HoopSelectionStyle ENCLOSES

      Components completely enclosed by the hoop are selected

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "encloses".

    - #### INTERSECTS

          public static final HoopSelectionStyle INTERSECTS

      Components enclosed or intersected by the hoop are selected

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "intersects".

  - ### Method Detail

    - #### values

          public static HoopSelectionStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HoopSelectionStyle c : HoopSelectionStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HoopSelectionStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`